KATIE(1)

NAME
katie - Triangulate a 3-manifold or 4-manifold from a decorated link

SYNOPSIS

katie pd_code framing_vector [ -3, --dim3 | -4, --dim4 ] [ -g, --graph ] [ -V, --verbose ]

katie { -v, --version | -?, --help }

DESCRIPTION

This utility builds a triangulation or coloured graph of a 3-manifold or 4-manifold from a decorated link.

For 3-manifolds, the manifold constructed is the one obtained by performing integer Dehn surgery on the given link.

For 4-manifolds, the manifold constructed is the one obtained by attaching 4-dimensional 1- and 2-handles to the 4-ball along the dotted and framed link components, respectively.

Katie expects two arguments at runtime: the underlying (undecorated) link, and a list of space-separated decorations (framing coefficients and/or 1-handle "markers").

•   The link should be given in the format of a planar diagram (PD) code, specifically, in the same format as used by SnapPy. The simplest way to achieve this is to draw the link in SnapPy's PLink editor, and copy the PD code generated by SnapPy via the InfoPD Code menu option in the editor.

•   Within the framing sequence, use 'x' or '.' to denote 1-handles.

    Warning: The PD code and the framing sequence must appear as the first two arguments. If you are running Katie from a shell, you will need to wrap both of these arguments in quotation marks.

For more information, see the full Katie manual, available from
 <URL:https://raburke.github.io/>.

OPTIONS

-3, --dim3
    Build the 3-manifold obtained from integer Dehn surgery on the input link.

    If you do not pass either --dim3 or --dim4, the default is to build a 4-manifold.

-4, --dim4
    Build the 4-manifold obtained by attaching 1- and 2-handles along the components of the decorated link to the 4-ball.

    This option is the default if you do not pass either --dim3 or --dim4.

-g, --graph
    Output an edge list of the edge-coloured graph associated to the manifold. Each node of the graph corresponds to a tetrahedron in the case of 3-manifolds or to a pentachoron in the case of 4-manifolds. Two nodes are connected by a c-coloured edge if the two corresponding top-dimensional simplices of the triangulation have the facets opposite to the vertex labelled c identified.

-V, --verbose
    Display information during the construction.

-v, --version
    Show which version of Regina is being used, and exit immediately.

-?, --help
    Display brief usage information, and exit immediately.

EXAMPLES

The following builds the Poincare homology 3-sphere obtained by +1 surgery along the right handed trefoil knot.

    example$ katie "[(6,4,1,3),(4,2,5,1),(2,6,3,5)]" "1" -3
    Writhes:
    Component 0: 2-handle, writhe 1

    Here is the isomorphism signature:
    GLvvQvPvALvzMAQAvAQQQPccgfekjp...
    example$

The following builds the complex projective plane by attaching a single 2-handle to the 4-ball along a +1 framed unknot.

    example$ katie "[(1,1,2,2)]" "1"
    Writhes:
    Component 0: 2-handle, writhe 1

    Here is the isomorphism signature:
    mLvAwAQAPQQcfffhijgjgjkkklklll...
    example$

The following builds a 4-manifold containing both a 1- and a 2-handle.

    example$ katie "[(4,8,1,9),(9,3,10,4),(1,5,2,6),(6,2,7,3),(7,5,8,10)]" "x 0"
    Writhes:
    Component 0: 1-handle (0)
    Component 1: 2-handle, writhe 0

    Here is the isomorphism signature:
    SLvAvAAwvvALMQQPvPvPMQwQAQMAvQ...
    example$

MACOS USERS

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as /Applications/Regina.app/Contents/MacOS/katie.

WINDOWS USERS

The command-line utilities are installed beneath the Program Files directory; on some machines this directory is called Program Files (x86). You can start this utility by running c:\Program Files\Regina\Regina 7.4.1\bin\katie.exe.

AUTHOR

This utility was written by Rhuaidi Burke <rhuaidi.burke@uq.edu.au>. Many people have been involved in the development of Regina; see the users' handbook for a full list of credits.